include CupertinoPro::ProvisioningPortal

require 'cupertinopro/provisioning_portal/helpers'
include CupertinoPro::ProvisioningPortal::Helpers

global_option('-u', '--username USER', 'Username') { |arg| agent.username = arg unless arg.nil? }
global_option('-p', '--password PASSWORD', 'Password') { |arg| agent.password = arg unless arg.nil? }
global_option('--team TEAM', 'Team') { |arg| agent.team = arg if arg }
global_option('--info', 'Set log level to INFO') { agent.log.level = Logger::INFO }
global_option('--debug', 'Set log level to DEBUG') { agent.log.level = Logger::DEBUG }
global_option('--format [table|csv]', 'Set output format (default: table)') { |arg| agent.format = arg if arg }

require 'cupertinopro/provisioning_portal/commands/certificates'
require 'cupertinopro/provisioning_portal/commands/devices'
require 'cupertinopro/provisioning_portal/commands/profiles'
require 'cupertinopro/provisioning_portal/commands/app_ids'
require 'cupertinopro/provisioning_portal/commands/login'
require 'cupertinopro/provisioning_portal/commands/logout'
